## lgogdownloader 3.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0 FATAL_ERROR)
project (lgogdownloader LANGUAGES C CXX VERSION 3.12)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

# Disable search for boost-cmake
# Fixes building with Boost >= 1.70.0
set(Boost_NO_BOOST_CMAKE ON)

option(USE_QT_GUI "Build with Qt GUI login support" OFF)
if(USE_QT_GUI)
  add_definitions(-DUSE_QT_GUI_LOGIN=1)
  set(CMAKE_AUTOMOC ON)
  set(CMAKE_AUTOUIC ON)
endif(USE_QT_GUI)

find_package(Boost
  REQUIRED
  system
  filesystem
  regex
  program_options
  date_time
  iostreams
  )
find_package(CURL 7.55.0 REQUIRED)
find_package(Jsoncpp REQUIRED)
find_package(Htmlcxx REQUIRED)
find_package(Tinyxml2 REQUIRED)
find_package(Rhash REQUIRED)
find_package(Threads REQUIRED)
find_package(ZLIB REQUIRED)

file(GLOB SRC_FILES
  main.cpp
  src/website.cpp
  src/downloader.cpp
  src/progressbar.cpp
  src/util.cpp
  src/blacklist.cpp
  src/gamefile.cpp
  src/gamedetails.cpp
  src/galaxyapi.cpp
  src/ziputil.cpp
  )

if(USE_QT_GUI)
  find_package(Qt5Widgets CONFIG REQUIRED)
  find_package(Qt5WebEngineWidgets CONFIG REQUIRED)

  file(GLOB QT_GUI_SRC_FILES
    src/gui_login.cpp
  )
  list(APPEND SRC_FILES ${QT_GUI_SRC_FILES})
endif(USE_QT_GUI)


set(GIT_CHECKOUT FALSE)
if(EXISTS ${PROJECT_SOURCE_DIR}/.git)
  if(NOT EXISTS ${PROJECT_SOURCE_DIR}/.git/shallow)
    find_package(Git)
    if(GIT_FOUND)
      set(GIT_CHECKOUT TRUE)
    else(GIT_FOUND)
      message(WARNING "Git executable not found")
    endif(GIT_FOUND)
  else(NOT EXISTS ${PROJECT_SOURCE_DIR}/.git/shallow)
    message(STATUS "Shallow Git clone detected, not attempting to retrieve version info")
  endif(NOT EXISTS ${PROJECT_SOURCE_DIR}/.git/shallow)
endif(EXISTS ${PROJECT_SOURCE_DIR}/.git)

if(GIT_CHECKOUT)
  execute_process(COMMAND ${GIT_EXECUTABLE} diff --shortstat
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_SHORTSTAT
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_REV_PARSE
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  if(GIT_SHORTSTAT)
    set(GIT_DIRTY ON)
  endif(GIT_SHORTSTAT)

  if(GIT_DIRTY)
    set(PROJECT_VERSION_MINOR ${PROJECT_VERSION_MINOR}M)
  endif(GIT_DIRTY)

  set(PROJECT_VERSION_PATCH ${GIT_REV_PARSE})
  set(PROJECT_VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
endif(GIT_CHECKOUT)

set(VERSION_NUMBER ${PROJECT_VERSION})
set(VERSION_STRING "LGOGDownloader ${VERSION_NUMBER}")
set(DEFAULT_USER_AGENT "LGOGDownloader/${VERSION_NUMBER} (${CMAKE_SYSTEM_NAME} ${CMAKE_SYSTEM_PROCESSOR})")

add_definitions(-D_FILE_OFFSET_BITS=64 -DVERSION_NUMBER="${VERSION_NUMBER}" -DVERSION_STRING="${VERSION_STRING}" -DDEFAULT_USER_AGENT="${DEFAULT_USER_AGENT}")

add_executable (${PROJECT_NAME} ${SRC_FILES})


target_include_directories(${PROJECT_NAME}
  PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/include
  PRIVATE ${Boost_INCLUDE_DIRS}
  PRIVATE ${CURL_INCLUDE_DIRS}
  PRIVATE ${OAuth_INCLUDE_DIRS}
  PRIVATE ${Jsoncpp_INCLUDE_DIRS}
  PRIVATE ${Htmlcxx_INCLUDE_DIRS}
  PRIVATE ${Tinyxml2_INCLUDE_DIRS}
  PRIVATE ${Rhash_INCLUDE_DIRS}
  PRIVATE ${ZLIB_INCLUDE_DIRS}
  )

target_link_libraries(${PROJECT_NAME}
  PRIVATE ${Boost_LIBRARIES}
  PRIVATE ${CURL_LIBRARIES}
  PRIVATE ${OAuth_LIBRARIES}
  PRIVATE ${Jsoncpp_LIBRARIES}
  PRIVATE ${Htmlcxx_LIBRARIES}
  PRIVATE ${Tinyxml2_LIBRARIES}
  PRIVATE ${Rhash_LIBRARIES}
  PRIVATE ${CMAKE_THREAD_LIBS_INIT}
  PRIVATE ${ZLIB_LIBRARIES}
  )

# Check if libatomic is needed in order to use std::atomic, and add
# it to the list of JavaScriptCore libraries.
file(WRITE ${CMAKE_BINARY_DIR}/test_atomic.cpp
     "#include <atomic>\n"
     "int main() { std::atomic<int64_t> i(0); i++; return 0; }\n")
try_compile(ATOMIC_BUILD_SUCCEEDED ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/test_atomic.cpp)
if (NOT ATOMIC_BUILD_SUCCEEDED)
  target_link_libraries(${PROJECT_NAME}
    PRIVATE -latomic
  )
endif ()
file(REMOVE ${CMAKE_BINARY_DIR}/test_atomic.cpp)

if(USE_QT_GUI)
  target_link_libraries(${PROJECT_NAME}
    PRIVATE Qt5::Widgets
    PRIVATE Qt5::WebEngineWidgets
  )
endif(USE_QT_GUI)

if(MSVC)
  # Force to always compile with W4
  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  endif()
elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # Update if necessary
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra -Wno-long-long -fexceptions")
endif()

set(INSTALL_BIN_DIR bin CACHE PATH "Installation directory for executables")
set(INSTALL_SHARE_DIR share CACHE PATH "Installation directory for resource files")

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX} DESTINATION ${INSTALL_BIN_DIR})
add_subdirectory(man)

=== debian/changelog ===
lgogdownloader (3.12-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:38 +1100

lgogdownloader (3.12-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:03:13 +0000

lgogdownloader (3.12-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:33:49 +0000

lgogdownloader (3.12-1ubuntu1) noble; urgency=medium

  * No-change rebuild against libtinyxml2-10

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 22 Jan 2024 10:30:44 -0700

lgogdownloader (3.12-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:56 +0100

lgogdownloader (3.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Oct 2023 23:59:41 +0200

=== debian/control ===
Source: lgogdownloader
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: web
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               help2man,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libcurl4-gnutls-dev,
               libhtmlcxx-dev,
               libjsoncpp-dev (>= 1.7.1),
               librhash-dev,
               libtinyxml2-dev,
               ninja-build,
               pkg-config,
               qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
               zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git
Homepage: https://sites.google.com/site/gogdownloader/

Package: lgogdownloader
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: downloader for GOG.com files
 lgogdownloader is a client for the GOG.com download API, allowing
 simple downloads and updates of games and other files from GOG.com.
 .
 This package is only useful if you own games on GOG.com. There are a
 few free-as-in-beer games available for Linux, but the DFSG-free
 games available on GOG.com are not provided for Linux and are
 available in Debian anyway (lure-of-the-temptress,
 beneath-a-steel-sky, flight-of-the-amazon-queen).

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=cmake+ninja

QT5WEWCFG = /usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5WebEngineWidgets/Qt5WebEngineWidgetsConfig.cmake

override_dh_auto_configure:
# Only build with Qt on architectures with Qt5WebEngineWidgets
ifeq ($(QT5WEWCFG), $(wildcard $(QT5WEWCFG)))
	dh_auto_configure -- -DUSE_QT_GUI=ON
else
	dh_auto_configure
endif

# There are no tests, and ninja test breaks the build
override_dh_auto_test:

## lgogdownloader 3.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.5.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.12)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.14)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
@@ -25,11 +25,11 @@
   )
 find_package(CURL 7.55.0 REQUIRED)
 find_package(Jsoncpp REQUIRED)
-find_package(Htmlcxx REQUIRED)
 find_package(Tinyxml2 REQUIRED)
 find_package(Rhash REQUIRED)
 find_package(Threads REQUIRED)
 find_package(ZLIB REQUIRED)
+find_package(Tidy REQUIRED)
 
 file(GLOB SRC_FILES
   main.cpp
@@ -45,8 +45,12 @@
   )
 
 if(USE_QT_GUI)
-  find_package(Qt5Widgets CONFIG REQUIRED)
-  find_package(Qt5WebEngineWidgets CONFIG REQUIRED)
+  set(QT Qt6)
+  find_package(Qt6 COMPONENTS Widgets WebEngineWidgets CONFIG)
+  if(NOT Qt6_FOUND)
+    set(QT Qt5)
+    find_package(Qt5 REQUIRED COMPONENTS Widgets WebEngineWidgets CONFIG)
+  endif()
 
   file(GLOB QT_GUI_SRC_FILES
     src/gui_login.cpp
@@ -107,10 +111,10 @@
   PRIVATE ${CURL_INCLUDE_DIRS}
   PRIVATE ${OAuth_INCLUDE_DIRS}
   PRIVATE ${Jsoncpp_INCLUDE_DIRS}
-  PRIVATE ${Htmlcxx_INCLUDE_DIRS}
   PRIVATE ${Tinyxml2_INCLUDE_DIRS}
   PRIVATE ${Rhash_INCLUDE_DIRS}
   PRIVATE ${ZLIB_INCLUDE_DIRS}
+  PRIVATE ${Tidy_INCLUDE_DIRS}
   )
 
 target_link_libraries(${PROJECT_NAME}
@@ -118,11 +122,11 @@
   PRIVATE ${CURL_LIBRARIES}
   PRIVATE ${OAuth_LIBRARIES}
   PRIVATE ${Jsoncpp_LIBRARIES}
-  PRIVATE ${Htmlcxx_LIBRARIES}
   PRIVATE ${Tinyxml2_LIBRARIES}
   PRIVATE ${Rhash_LIBRARIES}
   PRIVATE ${CMAKE_THREAD_LIBS_INIT}
   PRIVATE ${ZLIB_LIBRARIES}
+  PRIVATE ${Tidy_LIBRARIES}
   )
 
 # Check if libatomic is needed in order to use std::atomic, and add
@@ -140,10 +144,16 @@
 
 if(USE_QT_GUI)
   target_link_libraries(${PROJECT_NAME}
-    PRIVATE Qt5::Widgets
-    PRIVATE Qt5::WebEngineWidgets
+    PRIVATE ${QT}::Widgets
+    PRIVATE ${QT}::WebEngineWidgets
   )
 endif(USE_QT_GUI)
+
+if(Qt6_FOUND)
+  set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 17)
+else()
+  set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 11)
+endif(Qt6_FOUND)
 
 if(MSVC)
   # Force to always compile with W4
@@ -154,7 +164,7 @@
   endif()
 elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   # Update if necessary
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra -Wno-long-long -fexceptions")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-long-long -fexceptions")
 endif()
 
 set(INSTALL_BIN_DIR bin CACHE PATH "Installation directory for executables")

=== debian/changelog ===
lgogdownloader (3.14-1build1) oracular; urgency=medium

  * No-change rebuild for libtidy58

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 30 Jul 2024 07:39:37 +0100

lgogdownloader (3.14-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on pkgconf instead of pkg-config.

 -- Stephen Kitt <skitt@debian.org>  Wed, 05 Jun 2024 19:55:18 +0200

lgogdownloader (3.13-1) unstable; urgency=medium

  * New upstream release, adding support for Qt6 and replacing libhtmlcxx
    with libtidy.
  * Standards-Version 4.7.0, no change required.
  * Drop obsolete version requirement on libjsoncpp-dev.

 -- Stephen Kitt <skitt@debian.org>  Mon, 20 May 2024 13:41:09 +0200

## lgogdownloader 3.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.14)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.15)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

=== debian/changelog ===
lgogdownloader (3.15-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 Oct 2024 14:48:16 +0200

lgogdownloader (3.15-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 24 Aug 2024 21:47:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: lgogdownloader
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: web
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               help2man,
                libboost-date-time-dev,
                libboost-filesystem-dev,
                libboost-iostreams-dev,
@@ -14,15 +12,16 @@
                libboost-regex-dev,
                libboost-system-dev,
                libcurl4-gnutls-dev,
-               libhtmlcxx-dev,
-               libjsoncpp-dev (>= 1.7.1),
+               libjsoncpp-dev,
                librhash-dev,
+               libtidy-dev,
                libtinyxml2-dev,
                ninja-build,
-               pkg-config,
-               qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
+               pkgconf,
+               qtwebengine5-dev [mips64el],
+               qt6-webengine-dev [amd64 arm64 armhf i386],
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git

## lgogdownloader 3.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,7 @@
 cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.15)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.16)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
-
-# Disable search for boost-cmake
-# Fixes building with Boost >= 1.70.0
-set(Boost_NO_BOOST_CMAKE ON)
 
 option(USE_QT_GUI "Build with Qt GUI login support" OFF)
 if(USE_QT_GUI)
@@ -15,6 +11,7 @@
 endif(USE_QT_GUI)
 
 find_package(Boost
+  CONFIG
   REQUIRED
   system
   filesystem

=== man/CMakeLists.txt ===
find_program(GZIP gzip DOC "Location of the gzip program")
mark_as_advanced(GZIP)

include(GNUInstallDirs)

if(GZIP)
  set(MAN_PAGE "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.1")
  set(MAN_FILE "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.1.gz")
  add_custom_command(
    OUTPUT ${MAN_FILE}
    COMMAND ${GZIP} -c -9 ${MAN_PAGE} > ${MAN_FILE}
    MAIN_DEPENDENCY ${MAN_PAGE}
	COMMENT "Building man page"
	VERBATIM
	)
  add_custom_target(manpage ALL DEPENDS ${MAN_FILE} ${PROJECT_NAME})
  install(FILES ${MAN_FILE} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
else(GZIP)
  message("WARNING: One of the following is missing: gzip; man page will not be generated")
endif(GZIP)

=== debian/changelog ===
lgogdownloader (3.16-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 27 Dec 2024 11:38:48 +0100

## lgogdownloader 3.17

=== debian/changelog ===
lgogdownloader (3.17-1build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:10:27 +0200

lgogdownloader (3.17-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:00:02 +0200

lgogdownloader (3.17-1build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:22:38 +0000

lgogdownloader (3.17-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 22 Mar 2025 15:55:35 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                qtwebengine5-dev [mips64el],
                qt6-webengine-dev [amd64 arm64 armhf i386],
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,14 @@
 	dh $@ --buildsystem=cmake+ninja
 
 QT5WEWCFG = /usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5WebEngineWidgets/Qt5WebEngineWidgetsConfig.cmake
+QT6WEWCFG = /usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6WebEngineWidgets/Qt6WebEngineWidgetsConfig.cmake
 
 override_dh_auto_configure:
 # Only build with Qt on architectures with Qt5WebEngineWidgets
+# or Qt6WebEngineWidgets
 ifeq ($(QT5WEWCFG), $(wildcard $(QT5WEWCFG)))
+	dh_auto_configure -- -DUSE_QT_GUI=ON
+else ifeq ($(QT6WEWCFG), $(wildcard $(QT6WEWCFG)))
 	dh_auto_configure -- -DUSE_QT_GUI=ON
 else
 	dh_auto_configure

## lgogdownloader 3.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.16)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.18)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
@@ -13,12 +13,13 @@
 find_package(Boost
   CONFIG
   REQUIRED
-  system
   filesystem
   regex
   program_options
   date_time
   iostreams
+  OPTIONAL_COMPONENTS
+  system
   )
 find_package(CURL 7.55.0 REQUIRED)
 find_package(Jsoncpp REQUIRED)

=== debian/changelog ===
lgogdownloader (3.18-2) unstable; urgency=medium

  * Drop the obsolete build-dependency on libboost-system-dev. Closes:
    #1127221.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Update debian/watch to version 5.

 -- Stephen Kitt <skitt@debian.org>  Fri, 06 Feb 2026 17:49:13 +0100

lgogdownloader (3.18-1) unstable; urgency=medium

  * New upstream release. Closes: #1120491.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Nov 2025 21:30:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: web
-Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libboost-date-time-dev,
@@ -10,7 +9,6 @@
                libboost-iostreams-dev,
                libboost-program-options-dev,
                libboost-regex-dev,
-               libboost-system-dev,
                libcurl4-gnutls-dev,
                libjsoncpp-dev,
                librhash-dev,
@@ -21,8 +19,7 @@
                qtwebengine5-dev [mips64el],
                qt6-webengine-dev [amd64 arm64 armhf i386],
                zlib1g-dev
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git
 Homepage: https://sites.google.com/site/gogdownloader/

=== debian/watch ===
Version: 5

Template: Github
Owner: Sude-
Project: lgogdownloader
